Overview
GET
/bucket/buckets/{id}bucketGet buckets by id
Fetch a record from buckets by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
buckets
- idstring
- ecosystemIdstring
- parentIdstring?
- namestring
- descriptionstring
- kindstring
- metadatastring | number | boolean? | object | any[]?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"parentId": "string",
"name": "string",
"description": "string",
"kind": "string",
"metadata": "string",
"createdAt": "string",
"updatedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/bucket/buckets/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/bucket/buckets/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();